
for(label k=0 ; k<nf ; k++)
{
	CMCresultsFile<<"ZONE T=";
	CMCresultsFile<<"\""<<runTime.timeName()<<" FG "<<k<<"\", I="<<etamax+1<<", F=POINT"<<endl;

	for(label j=0 ; j<=etamax ; j++)
	{
		CMCresultsFile<<etaValue[j];
		CMCresultsFile<<tab;
		for(label i=0 ; i<Ysize ; i++)
		{		
			CMCresultsFile<<QiCMC[(k*(etamax+1)+j)*Ysize+i]<<tab;
		}
		CMCresultsFile<<QhCMC[j+k*(etamax+1)]<<tab<<TCMC[j+k*(etamax+1)]<<tab<<rhoCMC[j+k*(etamax+1)]<<tab<<SDRCMC[j+k*(etamax+1)];
		CMCresultsFile<<endl;
	}
}

